function onBegin()
	disableMovement()
	disableRetry()
	if not getFlag("warrior_marmu") then
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
		setFlag("marmuCamera",true)
		player.ForceCameraUpdate = true
		player.DummyAutoAnimate = false
		player.Sprite:Play("dreamNail")
		wait(1.45)
		setFlag("warrior_marmu",true)
		wait(0.1)
		setFlag("warrior_marmu2",true)
		wait(0.45)
	else
		say("CC_XELKHK_WarriorDone")
	end
end

function onEnd()
	setFlag("warrior_marmu",true)
	setFlag("warrior_marmu2",true)
	setFlag("Marmu",true)
	enableMovement()
	enableRetry()
end